Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Interface UrlMappings

    org.codehaus.groovy.grails.web.mapping.UrlMappingsHolder
      org.codehaus.groovy.grails.web.mapping.UrlMappings

All Superinterfaces:
  UrlMappingsHolder

    public interface UrlMappings
    extends UrlMappingsHolder

Interface that allows access to all defined URL mappings and registration of new mappings at runtime

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from interface UrlMappingsHolder
BEAN_ID

Method Summary
`java.util.Collection` | `addMappings(groovy.lang.Closure mappings)` Adds URL mappings to the current definition for the given closure

Methods inherited from interface UrlMappingsHolder
allowedMethods, getExcludePatterns, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMappingNoDefault, getReverseMappingNoDefault, getReverseMappingNoDefault, getUrlMappings, match, matchAll, matchAll, matchAll, matchAll, matchAll, matchStatusCode, matchStatusCode

Method Detail

### addMappings

    public java.util.Collection addMappings(groovy.lang.Closure mappings)

  Adds URL mappings to the current definition for the given closure
  Parameters:
    `mappings` - The mappings
  Returns:
    Only the added mappings. To obtain all mappings use UrlMappingsHolder.getUrlMappings

Groovy Documentation